library ieee;
use ieee.std_logic_1164.all;

package GEN_CONST is
    constant w : integer := 6;
    constant aw : integer := 3;
    constant mlen : integer := 10;
    type MEM_TYPE is array(0 to mlen - 1) of std_logic_vector(w - 1 downto 0);
    constant MEM_CONTENT : MEM_TYPE := (
       "000000",
       "000011",
       "000110",
       "001001",
       "001100",
       "001111",
       "010010",
       "010101",
       "011000",
       "011011");
end GEN_CONST;